###

#

HasDynamicYStepTypeConcept< T > Struct Template Reference
Pixel Locator » Concepts

Concept for locators and views that can define a type just like the given locator or view, except it supports runtime specified step along the Y navigation. More...

`#include <dynamic_step.hpp>`

## Public Member Functions

void | constraints ()

## Detailed Description

### template<typename T>
struct boost::gil::HasDynamicYStepTypeConcept< T >

Concept for locators and views that can define a type just like the given locator or view, except it supports runtime specified step along the Y navigation.

concept HasDynamicYStepTypeConcept<typename T>
{
typename dynamic_y_step_type<T>;
where Metafunction<dynamic_y_step_type<T> >;
};

The documentation for this struct was generated from the following file:

- concepts/dynamic_step.hpp